aboutsummaryrefslogtreecommitdiff
path: root/tests/ranking.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-31 16:21:05 -0300
committerEuAndreh <eu@euandre.org>2021-01-31 16:21:05 -0300
commit016669fbe27f60c90de64e21ce34b298e2896d00 (patch)
tree86d63e6eab9cd91b268a2f320b2a86d08b245b71 /tests/ranking.sh
parentaux/ci/: Use /srv over /data path (diff)
downloadremembering-016669fbe27f60c90de64e21ce34b298e2896d00.tar.gz
remembering-016669fbe27f60c90de64e21ce34b298e2896d00.tar.xz
Add (commented) test_really_long_list
Diffstat (limited to '')
-rwxr-xr-xtests/ranking.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/ranking.sh b/tests/ranking.sh
index c383b59..aca5ec4 100755
--- a/tests/ranking.sh
+++ b/tests/ranking.sh
@@ -279,6 +279,23 @@ d e f'
test_ok
}
+test_really_long_list() {
+ testing 'really long list'
+ OUT="$(mktemp)"
+ ERR="$(mktemp)"
+ PROFILE="really-long-list-$(uuid)"
+ seq 999999 | \
+ sh remembering \
+ -p "$PROFILE" \
+ -c 'head -n1' \
+ 1>"$OUT" 2>"$ERR"
+ STATUS=$?
+ assert_status 0
+ assert_empty_stderr
+ assert_stdout '1'
+ test_ok
+}
+
test_picking_first_makes_it_be_always_first
test_promoting_values
test_higher_values_loose_tie
@@ -291,3 +308,4 @@ test_stdin_is_empty
test_profile_does_not_exist
test_profile_is_empty
test_names_with_spaces
+# test_really_long_list